Option Explicit

Global Const GET_TIME_SEPARATOR = 1
Global Const GET_DATE_SEPARATOR = 2
Global Const GET_TIME_FORMAT = 3
Global Const GET_DATE_FORMAT = 4
Global Const GET_CURRENCY = 5
Global Const GET_LANGUAGE = 6
Global Const GET_COUNTRY = 7
Global Const GET_COUNTRY_CODE = 8
Global Const GET_LIST_SEPARATOR = 9
Global Const GET_DEFAULT_PRINTER = 10

Global Const DRIVE_UNKNOW = 0
Global Const DRIVE_REMOVABLE = 2
Global Const DRIVE_FIXED = 3
Global Const DRIVE_REMOTE = 4
Global Const DRIVE_CDROM = 20

Global Const A_NORMAL = &H0             'Normal file - No read/write restrictions
Global Const A_RDONLY = &H1             'Read only file
Global Const A_HIDDEN = &H2             'Hidden file
Global Const A_SYSTEM = &H4             'System file
Global Const A_VOLID = &H8              'Volume ID file
Global Const A_SUBDIR = &H10            'Subdirectory
Global Const A_ARCH = &H20              'Archive file

Global Const ENCRYPT_LEVEL_0 = 0
Global Const ENCRYPT_LEVEL_1 = 1
Global Const ENCRYPT_LEVEL_2 = 2
Global Const ENCRYPT_LEVEL_3 = 3

Global Const OPEN_MODE_BINARY = 0
Global Const OPEN_MODE_TEXT = 1

Global Const BIG_ADD = 0
Global Const BIG_SUB = 1
Global Const BIG_MUL = 2

Global Const VER_VERSION_PRODUCT = -1
Global Const VER_VERSION_FILE = 0
Global Const VER_COMPANY_NAME = 1
Global Const VER_FILE_DESCRIPTION = 2
Global Const VER_FILE_VERSION = 3
Global Const VER_INTERNAL_NAME = 4
Global Const VER_LEGAL_COPYRIGHT = 5
Global Const VER_LEGAL_TRADEMARKS = 6
Global Const VER_PRODUCT_NAME = 7
Global Const VER_PRODUCT_VERSION = 8

Global Const LNG_FRENCH = 1
Global Const LNG_DUTCH = 2
Global Const LNG_GERMAN = 3
Global Const LNG_ENGLISH = 4
Global Const LNG_ITALIAN = 5
Global Const LNG_SPANISH = 6

Global Const MB_MESSAGE_LEFT = 0
Global Const MB_MESSAGE_CENTER = 8192
Global Const MB_MESSAGE_RIGHT = 16384

Global Const MB_TIMEOUT_2 = 32768
Global Const MB_TIMEOUT_4 = 2 * MB_TIMEOUT_2
Global Const MB_TIMEOUT_8 = 2 * MB_TIMEOUT_4
Global Const MB_TIMEOUT_16 = 2 * MB_TIMEOUT_8

Global Const MB_TIMEOUT_6 = MB_TIMEOUT_2 Or MB_TIMEOUT_4
Global Const MB_TIMEOUT_10 = MB_TIMEOUT_2 Or MB_TIMEOUT_8
Global Const MB_TIMEOUT_12 = MB_TIMEOUT_4 Or MB_TIMEOUT_8
Global Const MB_TIMEOUT_14 = MB_TIMEOUT_2 Or MB_TIMEOUT_4 Or MB_TIMEOUT_8
Global Const MB_TIMEOUT_18 = MB_TIMEOUT_2 Or MB_TIMEOUT_16
Global Const MB_TIMEOUT_20 = MB_TIMEOUT_4 Or MB_TIMEOUT_16
Global Const MB_TIMEOUT_22 = MB_TIMEOUT_2 Or MB_TIMEOUT_4 Or MB_TIMEOUT_16
Global Const MB_TIMEOUT_24 = MB_TIMEOUT_8 Or MB_TIMEOUT_16
Global Const MB_TIMEOUT_26 = MB_TIMEOUT_2 Or MB_TIMEOUT_8 Or MB_TIMEOUT_16
Global Const MB_TIMEOUT_28 = MB_TIMEOUT_4 Or MB_TIMEOUT_8 Or MB_TIMEOUT_16
Global Const MB_TIMEOUT_30 = MB_TIMEOUT_2 Or MB_TIMEOUT_4 Or MB_TIMEOUT_8 Or MB_TIMEOUT_16

Global Const MB_DISPLAY_TIMEOUT = 524288

Global Const RS_CAPTION = 1
Global Const RS_TEXT = 2
Global Const RS_DATAFIELD = 4
Global Const RS_DATASOURCE = 8

Global Const MATCH_HEXA = 17
Global Const MATCH_INTERNAL_ERROR = 16
Global Const MATCH_PATTERN = 15
Global Const MATCH_LITERAL = 14
Global Const MATCH_RANGE = 13
Global Const MATCH_ABORT = 12
Global Const MATCH_END = 11
Global Const MATCH_VALID = -1

Global Const PATTERN_VALID = 0
Global Const PATTERN_INVALID = 1
Global Const PATTERN_ESC = 2
Global Const PATTERN_RANGE = 3
Global Const PATTERN_CLOSE = 4
Global Const PATTERN_EMPTY = 5
Global Const PATTERN_INTERNAL_ERROR = 6
Global Const PATTERN_HEXA = 7

Global Const IFV_ERROR = 0
Global Const IFV_NAME_TOO_LONG = 1
Global Const IFV_EXT_TOO_LONG = 2
Global Const IFV_TOO_MANY_BACKSLASH = 3
Global Const IFV_BAD_DRIVE_LETTER = 4
Global Const IFV_BAD_COLON_POS = 5
Global Const IFV_EXT_WITHOUT_NAME = 6

Global Const DA_BYTE = 1
Global Const DA_TYPE = 0
Global Const DA_INTEGER = -2
Global Const DA_LONG = -3
Global Const DA_SINGLE = -4
Global Const DA_DOUBLE = -5
Global Const DA_CURRENCY = -6

Global Const DA_NO_ERROR = True
Global Const DA_EMPTY_FILENAME = 1
Global Const DA_BAD_FILENAME = 2
Global Const DA_CAN_KILL_FILE = 3
Global Const DA_CAN_NOT_OPEN_FILE = 4
Global Const DA_FILE_NOT_FOUND = 5
Global Const DA_BAD_TYPE = 6
Global Const DA_BAD_ROWS = 7
Global Const DA_BAD_COLS = 8
Global Const DA_BAD_SHEETS = 9
Global Const DA_CAN_NOT_WRITE_HEADER = 10
Global Const DA_CAN_NOT_WRITE_PART = 11
Global Const DA_CAN_NOT_WRITE_REMAIN = 12
Global Const DA_CAN_NOT_READ_HEADER = 13
Global Const DA_HEADER_SIZE = 14
Global Const DA_BAD_SIGNATURE = 15
Global Const DA_FILE_SIZE_MISMATCH = 16
Global Const DA_CAN_NOT_SEEK = 17
Global Const DA_INVALID_HANDLE = 18

Type tagSPLITPATH
   nDrive            As String
   nDir              As String
   nName             As String
   nExt              As String
End Type

Type tagFILEVERSIONINFO
   VersionProduct    As String
   VersionFile       As String
   CompanyName       As String
   FileDescription   As String
   FileVersion       As String
   InternalName      As String
   LegalCopyright    As String
   LegalTrademarks   As String
   Comments          As String
   ProductName       As String
   ProductVersion    As String
End Type

Type FileAttributeType
   ErrNo             As Integer
   Archive           As Integer
   Hidden            As Integer
   Normal            As Integer
   ReadOnly          As Integer
   SubDir            As Integer
   System            As Integer
   VolId             As Integer
End Type

Type ArrayType
   Bounds            As Long
   LBound            As Integer
   UBound            As Integer
   ElemSize          As Integer
   IndexCount        As Integer
   TotalElem         As Integer
End Type

Type tagMODULEENTRY
   dwSize            As Long
   szModule          As String * 10
   hModule           As Integer
   wcUsage           As Integer
   szExePath         As String * 256
   wNext             As Integer
End Type

Type tagTASKENTRY
   dwSize            As Long
   hTask             As Integer
   hTaskParent       As Integer
   hInst             As Integer
   hModule           As Integer
   wSS               As Integer
   wSP               As Integer
   wStackTop         As Integer
   wStackMinimum     As Integer
   wStackBottom      As Integer
   wcEvents          As Integer
   hQueue            As Integer
   szModule          As String * 10
   wPSPOffset        As Integer
   hNext             As Integer
End Type

Type tagDISKARRAY
   daSize            As Integer           'size of the type'd
   Signature         As String * 7        'signature
   nFilename         As String * 64       'name of the file
   nType             As Integer           'variable type
   nRows             As Long              'number of rows
   nCols             As Long              'number of cols
   nSheets           As Long              'number of sheets
   rHandle           As Integer           'returned handle for use with other functions
   rElementSize      As Integer           'returned size of a element
   rFileSize         As Long              'returned size of the file
   rParts            As Long              'returned total part
   rRemain           As Long              'returned size of the remain part
   rSheetSize        As Long              'size of a sheet
   rOffset1          As Long              'returned offset 1
   rOffset2          As Long              'returned offset 2
   rTime             As Long              'time for the last correct transaction
   nIsTyped          As Integer           'is nType a type'd variable
   dummy             As String * 7        'reserved for future use
End Type

Rem Don't Remove It
Declare Function cAddD Lib "time2win.dll" (array() As Double, ByVal nValue As Double) As Integer
Declare Function cAddDigit Lib "time2win.dll" (Txt As String) As Integer
Declare Function cAddI Lib "time2win.dll" (array() As Integer, ByVal nValue As Integer) As Integer
Declare Function cAddL Lib "time2win.dll" (array() As Long, ByVal nValue As Long) As Integer
Declare Function cAddS Lib "time2win.dll" (array() As Single, ByVal nValue As Single) As Integer
Declare Function cAddTime Lib "time2win.dll" (ByVal Hr As Integer) As Integer
Declare Function cAllSubDirectories Lib "time2win.dll" (ByVal lpBaseDirectory As String, nDir As Integer) As String
Declare Function cArabicToRoman Lib "time2win.dll" (Var As Variant) As String
Declare Function cArrayPrm Lib "time2win.dll" (array() As Any, nArray As Any) As Integer
Declare Function cBaseConversion Lib "time2win.dll" (ByVal Num As String, ByVal RadixIn As Integer, ByVal RadixOut As Integer) As String
Declare Function cBetween Lib "time2win.dll" (Var As Variant, Var1 As Variant, Var2 As Variant) As Integer
Declare Function cBigNum Lib "time2win.dll" (ByVal n1 As String, ByVal op As Integer, ByVal n2 As String) As String
Declare Function cBigAdd Lib "time2win.dll" (Num1 As String, Num2 As String) As String
Declare Function cBigDiv Lib "time2win.dll" (Num1 As String, Num2 As String) As String
Declare Function cBigMul Lib "time2win.dll" (Num1 As String, Num2 As String) As String
Declare Function cBigNum Lib "time2win.dll" (ByVal n1 As String, ByVal op As Integer, ByVal n2 As String) As String
Declare Function cBigSub Lib "time2win.dll" (Num1 As String, Num2 As String) As String
Declare Function cBigFmt Lib "time2win.dll" (Num As String, ByVal Length As Integer) As String
Declare Function cBlockCharFromLeft Lib "time2win.dll" (Txt As String, ByVal Position As Integer) As String
Declare Function cBlockCharFromRight Lib "time2win.dll" (Txt As String, ByVal Position As Integer) As String
Declare Sub cChangeChars Lib "time2win.dll" (Txt As String, charSet As String, newCharSet As String)
Declare Sub cChangeCharsUntil Lib "time2win.dll" (Txt As String, charSet As String, newCharSet As String, nUntil As String)
Declare Sub cChangeTaskName Lib "time2win.dll" (ByVal hWnd As Integer, ByVal text As String)
Declare Function cChDir Lib "time2win.dll" (ByVal lpDir As String) As Integer
Declare Function cChDrive Lib "time2win.dll" (ByVal lpDrive As String) As Integer
Declare Function cCheckChars Lib "time2win.dll" (Txt As String, charSet As String) As Integer
Declare Function cCheckLocking Lib "time2win.dll" () As Integer
Declare Function cCheckMinuteChange Lib "time2win.dll" () As Integer
Declare Function cCheckNumericity Lib "time2win.dll" (Txt As String) As Integer
Declare Function cCheckSecondChange Lib "time2win.dll" () As Integer
Declare Function cCheckStatus Lib "time2win.dll" (Ctl As Control) As Integer
Declare Function cCheckTime Lib "time2win.dll" (ByVal Hr As Integer, ByVal Hr1 As Integer, ByVal Hr2 As Integer) As Integer
Declare Function cCheckWait Lib "time2win.dll" (ByVal nTimer As Integer) As Integer
Declare Function cCmpFileAttribute Lib "time2win.dll" (ByVal file1 As String, ByVal file2 As String) As Integer
Declare Function cCmpFileContents Lib "time2win.dll" (ByVal file1 As String, ByVal file2 As String, ByVal sensitivity As Integer) As Integer
Declare Function cCmpFileSize Lib "time2win.dll" (ByVal file1 As String, ByVal file2 As String) As Integer
Declare Function cCmpFileTime Lib "time2win.dll" (ByVal file1 As String, ByVal file2 As String) As Integer
Declare Function cCompact Lib "time2win.dll" (Txt As String) As String
Declare Function cCompareTypeString Lib "time2win.dll" Alias "cTypesCompare" (TypeSrc As Any, ByVal Dst As String, ByVal lenTypeSrc As Integer) As Integer
Declare Function cCompareStringType Lib "time2win.dll" Alias "cTypesCompare" (ByVal Src As String, TypeDst As Any, ByVal lenTypeSrc As Integer) As Integer
Declare Function cCompress Lib "time2win.dll" (Txt As String) As String
Declare Function cCompressTab Lib "time2win.dll" (Txt As String, ByVal nTab As Integer) As String
Declare Function cConvert Lib "time2win.dll" (Value As String, ByVal MaskFrom As String, ByVal MaskTo As String, ByVal Size As Integer) As String
Declare Function cCount Lib "time2win.dll" (Txt As String, Separator As String) As Integer
Declare Function cCountDirectories Lib "time2win.dll" (ByVal lpFilename As String) As Integer
Declare Function cCountFiles Lib "time2win.dll" (ByVal lpFilename As String) As Integer
Declare Function cCplAlpha Lib "time2win.dll" (Txt As String) As String
Declare Function cCplDigit Lib "time2win.dll" (Txt As String) As String
Declare Function cCreateAndFill Lib "time2win.dll" (ByVal Length As Integer, Txt As String) As String
Declare Function cCreateBits Lib "time2win.dll" (ByVal nBits As Integer) As String
Declare Function cCurrentTime Lib "time2win.dll" () As Integer
Declare Function cCVB Lib "time2win.dll" (Value As String) As Integer
Declare Function cCVC Lib "time2win.dll" (Value As String) As Currency
Declare Function cCVD Lib "time2win.dll" (Value As String) As Double
Declare Function cCVI Lib "time2win.dll" (Value As String) As Integer
Declare Function cCVL Lib "time2win.dll" (Value As String) As Long
Declare Function cCVS Lib "time2win.dll" (Value As String) As Single
Declare Function cDAClear Lib "time2win.dll" (DISKARRAY As tagDISKARRAY) As Integer
Declare Function cDAClearCol Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Col As Long, ByVal Sheet As Long) As Integer
Declare Function cDAClearRow Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Row As Long, ByVal Sheet As Long) As Integer
Declare Function cDAClearSheet Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Sheet As Long) As Integer
Declare Sub cDAClose Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal DeleteFile As Integer)
Declare Function cDACreate Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal CreateOrUse As Integer) As Integer
Declare Function cDAGet Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Row As Long, ByVal Col As Long, ByVal Sheet As Long) As Variant
Declare Sub cDAGetType Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Row As Long, ByVal Col As Long, ByVal Sheet As Long, nType As Any)
Declare Sub cDAPut Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Row As Long, ByVal Col As Long, ByVal Sheet As Long, Var As Variant)
Declare Sub cDAPutType Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Row As Long, ByVal Col As Long, ByVal Sheet As Long, nType As Any)
Declare Sub cDArGet Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Col As Long, Var As Variant)
Declare Sub cDArGetType Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Col As Long, nType As Any)
Declare Sub cDArPut Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Col As Long, Var As Variant)
Declare Sub cDArPutType Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Col As Long, nType As Any)
Declare Function cDAsClearCol Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Col As Long) As Integer
Declare Function cDAsClearRow Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Row As Long) As Integer
Declare Sub cDAsGet Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Row As Long, ByVal Col As Long, Var As Variant)
Declare Sub cDAsGetType Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Row As Long, ByVal Col As Long, nType As Any)
Declare Sub cDAsPut Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Row As Long, ByVal Col As Long, Var As Variant)
Declare Sub cDAsPutType Lib "time2win.dll" (DISKARRAY As tagDISKARRAY, ByVal Row As Long, ByVal Col As Long, nType As Any)
Declare Function cDaysInMonth Lib "time2win.dll" (ByVal nYear As Integer, ByVal nMonth As Integer) As Integer
Declare Function cDecrypt Lib "time2win.dll" (Txt As String, password As String, ByVal level As Integer) As String
Declare Function cDeviationD Lib "time2win.dll" (array() As Double) As Double
Declare Function cDeviationI Lib "time2win.dll" (array() As Integer) As Double
Declare Function cDeviationL Lib "time2win.dll" (array() As Long) As Double
Declare Function cDeviationS Lib "time2win.dll" (array() As Single) As Double
Declare Sub cDisableCtlRedraw Lib "time2win.dll" (Ctl As Control)
Declare Sub cDisableFI Lib "time2win.dll" (Ctl As Control)
Declare Sub cDisableForm Lib "time2win.dll" (ByVal hWnd As Integer)
Declare Sub cDisableRedraw Lib "time2win.dll" (ByVal hWnd As Integer)
Declare Sub cEnableCtlRedraw Lib "time2win.dll" (Ctl As Control)
Declare Sub cEnableFI Lib "time2win.dll" (Ctl As Control)
Declare Sub cEnableForm Lib "time2win.dll" (ByVal hWnd As Integer)
Declare Sub cEnableRedraw Lib "time2win.dll" (ByVal hWnd As Integer)
Declare Function cEncrypt Lib "time2win.dll" (Txt As String, password As String, ByVal level As Integer) As String
Declare Function cExitWindowsAndExecute Lib "time2win.dll" (ByVal lpszExe As String, ByVal lpszParams As String) As Integer
Declare Function cExpandTab Lib "time2win.dll" (Txt As String, ByVal nTab As Integer) As String
Declare Function cEXEnameActiveWindow Lib "time2win.dll" () As String
Declare Function cEXEnameWindow Lib "time2win.dll" (ByVal hModule As Integer) As String
Declare Function cEXENameTask Lib "time2win.dll" (ByVal nFilename As String) As String
Declare Function cFileCompressTab Lib "time2win.dll" (ByVal file1 As String, ByVal file2 As String, ByVal nTab As Integer) As Long
Declare Function cFileCopy Lib "time2win.dll" (ByVal file1 As String, ByVal file2 As String) As Long
Declare Function cFileCRC32 Lib "time2win.dll" (ByVal lpFilename As String, ByVal mode As Integer) As Long
Declare Function cFileDateCreated Lib "time2win.dll" (ByVal lpFilename As String) As String
Declare Function cFileDecrypt Lib "time2win.dll" (ByVal file1 As String, ByVal file2 As String, password As String, ByVal level As Integer) As Long
Declare Function cFileDrive Lib "time2win.dll" (ByVal lpFilename As String) As String
Declare Function cFileEncrypt Lib "time2win.dll" (ByVal file1 As String, ByVal file2 As String, password As String, ByVal level As Integer) As Long
Declare Function cFileExpandTab Lib "time2win.dll" (ByVal file1 As String, ByVal file2 As String, ByVal nTab As Integer) As Long
Declare Function cFileFilter Lib "time2win.dll" (ByVal file1 As String, ByVal file2 As String, Filter As String) As Long
Declare Function cFileFilterNot Lib "time2win.dll" (ByVal file1 As String, ByVal file2 As String, Filter As String) As Long
Declare Function cFileGetAttrib Lib "time2win.dll" (ByVal nFilename As String, nFileAttribute As Any) As Integer
Declare Function cFileLastDateAccess Lib "time2win.dll" (ByVal lpFilename As String) As String
Declare Function cFileLastDateModified Lib "time2win.dll" (ByVal lpFilename As String) As String
Declare Function cFileLastTimeAccess Lib "time2win.dll" (ByVal lpFilename As String) As String
Declare Function cFileLastTimeModified Lib "time2win.dll" (ByVal lpFilename As String) As String
Declare Function cFileLineCount Lib "time2win.dll" (ByVal lpFilename As String) As Long
Declare Function cFileMerge Lib "time2win.dll" (ByVal file1 As String, ByVal file2 As String, ByVal fileTo As String) As Long
Declare Function cFilePathExists Lib "time2win.dll" (ByVal lpFilename As String) As Integer
Declare Function cFileResetAllAttrib Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cFileResetArchive Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cFileResetFlag Lib "time2win.dll" (ByVal nFilename As String, ByVal nStatus As Integer) As Integer
Declare Function cFileResetHidden Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cFileResetReadOnly Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cFileResetSystem Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cFileSearch Lib "time2win.dll" (ByVal nFilename As String, ByVal Search As String, ByVal sensitivity As Integer) As Long
Declare Function cFileSearchAndReplace Lib "time2win.dll" (ByVal nFilename As String, ByVal Search As String, ByVal Replace As String, ByVal nFileTemp As String, ByVal sensitivity As Integer) As Long
Declare Function cFileSearchCount Lib "time2win.dll" (ByVal nFilename As String, ByVal Search As String, ByVal sensitivity As Integer) As Long
Declare Function cFileSetAllAttrib Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cFileSetArchive Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cFileSetAttrib Lib "time2win.dll" (ByVal nFilename As String, nFileAttribute As Any) As Integer
Declare Function cFileSetFlag Lib "time2win.dll" (ByVal nFilename As String, ByVal nStatus As Integer) As Integer
Declare Function cFileSetHidden Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cFileSetReadOnly Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cFileSetSystem Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cFilesInDirectory Lib "time2win.dll" (ByVal nFilename As String, ByVal firstnext As Integer) As String
Declare Function cFileSize Lib "time2win.dll" (ByVal lpFilename As String) As Long
Declare Function cFilesSize Lib "time2win.dll" (ByVal nFilename As String) As Long
Declare Function cFilesSizeOnDisk Lib "time2win.dll" (ByVal nFilename As String) As Long
Declare Function cFilesSlack Lib "time2win.dll" (ByVal nFilename As String, Size1 As Long, Size2 As Long) As Integer
Declare Function cFileStatistics Lib "time2win.dll" (ByVal nFilename As String, nLines As Long, nWords As Long, nChars As Long) As Long
Declare Function cFileTimeCreated Lib "time2win.dll" (ByVal lpFilename As String) As String
Declare Function cFileToUpper Lib "time2win.dll" (ByVal file1 As String, ByVal file2 As String) As Long
Declare Function cFileToLower Lib "time2win.dll" (ByVal file1 As String, ByVal file2 As String) As Long
Declare Sub cFill Lib "time2win.dll" (Txt As String, Fill As String)
Declare Function cFillD Lib "time2win.dll" (array() As Double, ByVal nValue As Double) As Integer
Declare Function cFillI Lib "time2win.dll" (array() As Integer, ByVal nValue As Integer) As Integer
Declare Function cFillL Lib "time2win.dll" (array() As Long, ByVal nValue As Long) As Integer
Declare Function cFillS Lib "time2win.dll" (array() As Single, ByVal nValue As Single) As Integer
Declare Function cFilterBlocks Lib "time2win.dll" (Txt As String, Delimitor As String) As String
Declare Function cFilterChars Lib "time2win.dll" (Txt As String, charSet As String) As String
Declare Function cFilterFirstChars Lib "time2win.dll" (Txt As String, charSet As String) As String
Declare Function cFilterNotChars Lib "time2win.dll" (Txt As String, charSet As String) As String
Declare Function cFindBitReset Lib "time2win.dll" (Txt As String, ByVal Position As Integer) As Integer
Declare Function cFindBitSet Lib "time2win.dll" (Txt As String, ByVal Position As Integer) As Integer
Declare Function cFindFileInEnv Lib "time2win.dll" (ByVal lpFilename As String, ByVal lpEnv As String) As Integer
Declare Function cFindFileInPath Lib "time2win.dll" (ByVal lpFilename As String) As Integer
Declare Function cFromBinary Lib "time2win.dll" (text As String) As String
Declare Function cFromBinary2 Lib "time2win.dll" (text As String, Bin As String) As String
Declare Function cFromHexa Lib "time2win.dll" (text As String) As String
Declare Function cFullPath Lib "time2win.dll" (ByVal nFilename As String) As String
Declare Function cGet Lib "time2win.dll" (Txt As String, ByVal Position As Integer) As String
Declare Function cGetAscTime Lib "time2win.dll" (ByVal nLanguage As Integer) As String
Declare Function cGetBit Lib "time2win.dll" (Txt As String, ByVal Position As Integer) As Integer
Declare Function cGetBlock Lib "time2win.dll" (Txt As String, ByVal Position As Integer, ByVal Length As Integer) As String
Declare Function cGetCaption Lib "time2win.dll" (ByVal hWnd As Integer) As String
Declare Function cGetChangeTaskName Lib "time2win.dll" (ByVal hWnd As Integer, ByVal text As String) As String
Declare Function cGetClass Lib "time2win.dll" (ByVal hWnd As Integer) As String
Declare Function cGetClassName Lib "time2win.dll" (ByVal hWnd As Integer) As String
Declare Function cGetContainer Lib "time2win.dll" (ByVal hWnd As Integer) As String
Declare Function cGetCountry Lib "time2win.dll" () As String
Declare Function cGetCountryCode Lib "time2win.dll" () As String
Declare Function cGetCtlCaption Lib "time2win.dll" (Ctl As Control) As String
Declare Function cGetCtlClass Lib "time2win.dll" (Ctl As Control) As String
Declare Function cGetCtlContainer Lib "time2win.dll" (Ctl As Control) As String
Declare Function cGetCtlDataField Lib "time2win.dll" (Ctl As Control) As String
Declare Function cGetCtlForm Lib "time2win.dll" (Ctl As Control) As String
Declare Function cGetCtlIndex Lib "time2win.dll" (Ctl As Control) As Integer
Declare Function cGetCtlName Lib "time2win.dll" (Ctl As Control) As String
Declare Function cGetCtlNameIndex Lib "time2win.dll" (Ctl As Control) As String
Declare Function cGetCtlPropCaption Lib "time2win.dll" (Ctl As Control) As Integer
Declare Function cGetCtlPropDataField Lib "time2win.dll" (Ctl As Control) As Integer
Declare Function cGetCtlPropText Lib "time2win.dll" (Ctl As Control) As Integer
Declare Function cGetCtlTag Lib "time2win.dll" (Ctl As Control) As String
Declare Function cGetCtlTagSized Lib "time2win.dll" (Ctl As Control) As String
Declare Function cGetCtlText Lib "time2win.dll" (Ctl As Control) As String
Declare Function cGetCurrency Lib "time2win.dll" () As String
Declare Function cGetCurrentDrive Lib "time2win.dll" () As String
Declare Function cGetDataField Lib "time2win.dll" (ByVal hWnd As Integer) As String
Declare Function cGetDateFormat Lib "time2win.dll" () As String
Declare Function cGetDateSeparator Lib "time2win.dll" () As String
Declare Function cGetDefaultCurrentDir Lib "time2win.dll" () As String
Declare Function cGetDefaultPrinter Lib "time2win.dll" () As String
Declare Function cGetDevices Lib "time2win.dll" () As String
Declare Function cGetDiskClusterSize Lib "time2win.dll" (ByVal lpDrive As String) As Long
Declare Function cGetDiskFree Lib "time2win.dll" (ByVal lpDrive As String) As Long
Declare Function cGetDiskSpace Lib "time2win.dll" (ByVal lpDrive As String) As Long
Declare Function cGetDiskUsed Lib "time2win.dll" (ByVal lpDrive As String) As Long
Declare Function cGetDriveCurrentDir Lib "time2win.dll" (ByVal lpDrive As String) As String
Declare Function cGetDriveType Lib "time2win.dll" (ByVal lpDrive As String) As Integer
Declare Function cGetFileVersion Lib "time2win.dll" (ByVal FileName As String, ByVal nFonction As Integer) As String
Declare Function cGetFileVersionInfo Lib "time2win.dll" (ByVal FileName As String, FILEVERSIONINFO As Any) As Integer
Declare Function cGetForm Lib "time2win.dll" (ByVal hWnd As Integer) As String
Declare Function cGetFullNameInEnv Lib "time2win.dll" (ByVal lpFilename As String, ByVal lpEnv As String) As String
Declare Function cGetFullNameInPath Lib "time2win.dll" (ByVal lpFilename As String) As String
Declare Function cGetHourFormat Lib "time2win.dll" () As String
Declare Function cGetHwnd Lib "time2win.dll" (Ctl As Control) As Integer
Declare Function cGetIn Lib "time2win.dll" (Txt As String, Separator As String, ByVal Position As Integer) As String
Declare Function cGetIndex Lib "time2win.dll" (ByVal hWnd As Integer) As Integer
Declare Function cGetIni Lib "time2win.dll" (ByVal AppName As String, ByVal szItem As String, ByVal szDefault As String, ByVal InitFile As String) As String
Declare Function cGetLanguage Lib "time2win.dll" () As String
Declare Function cGetListSeparator Lib "time2win.dll" () As String
Declare Function cGetLongDay Lib "time2win.dll" (ByVal nLanguage As Integer, ByVal nDay As Integer) As String
Declare Function cGetLongMonth Lib "time2win.dll" (ByVal nLanguage As Integer, ByVal nMonth As Integer) As String
Declare Function cGetName Lib "time2win.dll" (ByVal hWnd As Integer) As String
Declare Function cGetNameIndex Lib "time2win.dll" (ByVal hWnd As Integer) As String
Declare Function cGetNetConnection Lib "time2win.dll" (ByVal lpDrive As String, ErrCode As Integer) As String
Declare Function cGetPid Lib "time2win.dll" () As Integer
Declare Function cGetPrinterPorts Lib "time2win.dll" () As String
Declare Function cGetSectionItems Lib "time2win.dll" (ByVal Section As String, ByVal InitFile As String, nItems As Integer) As String
Declare Function cGetShortDay Lib "time2win.dll" (ByVal nLanguage As Integer, ByVal nDay As Integer) As String
Declare Function cGetShortMonth Lib "time2win.dll" (ByVal nLanguage As Integer, ByVal nMonth As Integer) As String
Declare Function cGetSmallDay Lib "time2win.dll" (ByVal nLanguage As Integer, ByVal nDay As Integer) As String
Declare Function cGetSystemDirectory Lib "time2win.dll" () As String
Declare Function cGetTaskName Lib "time2win.dll" (ByVal hWnd As Integer) As String
Declare Function cGetText Lib "time2win.dll" (ByVal hWnd As Integer) As String
Declare Function cGetTimeSeparator Lib "time2win.dll" () As String
Declare Function cGetTinyDay Lib "time2win.dll" (ByVal nLanguage As Integer, ByVal nDay As Integer) As String
Declare Function cGetTinyMonth Lib "time2win.dll" (ByVal nLanguage As Integer, ByVal nMonth As Integer) As String
Declare Function cGetWindowsDirectory Lib "time2win.dll" () As String
Declare Function cGetWinINI Lib "time2win.dll" (ByVal Info As Integer) As String
Declare Function cGetWinSection Lib "time2win.dll" (ByVal Section As String) As String
Declare Function cGiveBitPalindrome Lib "time2win.dll" () As String
Declare Function cHourTo Lib "time2win.dll" (Txt As String) As Variant
Declare Function cIfInStr Lib "time2win.dll" (Txt As String, Operator As String) As String
Declare Function cInsertBlocks Lib "time2win.dll" (Txt As String, Insert As String) As String
Declare Function cInsertBlocksBy Lib "time2win.dll" (Txt As String, Insert As String, Delimitor As String) As String
Declare Function cInsertByMask Lib "time2win.dll" (Txt As String, Mask As String, Insert As String) As String
Declare Function cInsertChars Lib "time2win.dll" (Txt As String, ByVal Position As Integer, Insert As String) As String
Declare Function cIntoBalance Lib "time2win.dll" (Var As Variant) As String
Declare Function cIntoBalanceFill Lib "time2win.dll" (Var As Variant) As String
Declare Function cIntoDate Lib "time2win.dll" (ByVal nDate As Long) As String
Declare Function cIntoDateFill Lib "time2win.dll" (ByVal nDate As Long) As String
Declare Function cIntoDateNull Lib "time2win.dll" (ByVal nDate As Long) As String
Declare Function cIntoFixHour Lib "time2win.dll" (Var As Variant, ByVal Length As Integer, ByVal fillZero As Integer, ByVal Centime As Integer) As String
Declare Function cIntoHour Lib "time2win.dll" (Var As Variant) As String
Declare Function cIntoVarHour Lib "time2win.dll" (Var As Variant) As String
Declare Function cIsAlnum Lib "time2win.dll" (Txt As String) As Integer
Declare Function cIsAlpha Lib "time2win.dll" (Txt As String) As Integer
Declare Function cIsAscii Lib "time2win.dll" (Txt As String) As Integer
Declare Function cIsBalance Lib "time2win.dll" (ByVal nHour As Long, ByVal nMinute As Integer, ByVal nSecond As Integer) As Integer
Declare Function cIsBitPalindrome Lib "time2win.dll" (Txt As String) As Integer
Declare Function cIsCsym Lib "time2win.dll" (Txt As String) As Integer
Declare Function cIsCsymf Lib "time2win.dll" (Txt As String) As Integer
Declare Function cIsDate Lib "time2win.dll" (ByVal nYear As Integer, ByVal nMonth As Integer, ByVal nDay As Integer) As Integer
Declare Function cIsDigit Lib "time2win.dll" (Txt As String) As Integer
Declare Function cIsFileArchive Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFileFlag Lib "time2win.dll" (ByVal nFilename As String, ByVal nStatus As Integer) As Integer
Declare Function cIsFileHidden Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFileNormal Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFilenameValid Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFileReadOnly Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFileSubDir Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFileSystem Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFileVolId Lib "time2win.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFormEnabled Lib "time2win.dll" (ByVal hWnd As Integer) As Integer
Declare Function cIsHour Lib "time2win.dll" (ByVal nHour As Integer, ByVal nMinute As Integer, ByVal nSecond As Integer) As Integer
Declare Function cIsISBN Lib "time2win.dll" (Txt As String) As Integer
Declare Function cIsLeapYear Lib "time2win.dll" (ByVal nYear As Integer) As Integer
Declare Function cIsLower Lib "time2win.dll" (Txt As String) As Integer
Declare Function cIsPalindrome Lib "time2win.dll" (Txt As String) As Integer
Declare Function cIsPunct Lib "time2win.dll" (Txt As String) As Integer
Declare Function cIsSpace Lib "time2win.dll" (Txt As String) As Integer
Declare Function cIsUpper Lib "time2win.dll" (Txt As String) As Integer
Declare Function cIsXDigit Lib "time2win.dll" (Txt As String) As Integer
Declare Function cKillDir Lib "time2win.dll" (ByVal lpFilename As String) As Integer
Declare Function cKillDirFilesAll Lib "time2win.dll" (ByVal lpDir As String, ByVal lpMask As String) As Integer
Declare Function cKillDirs Lib "time2win.dll" (ByVal lpDir As String, ByVal HeaderDirectory As Integer) As Integer
Declare Function cKillFile Lib "time2win.dll" (ByVal lpFilename As String) As Integer
Declare Function cKillFileAll Lib "time2win.dll" (ByVal lpFilename As String) As Integer
Declare Function cKillFiles Lib "time2win.dll" (ByVal lpFilename As String) As Integer
Declare Function cKillFilesAll Lib "time2win.dll" (ByVal lpFilename As String) As Integer
Declare Sub cKillFocus Lib "time2win.dll" (ByVal hWnd As Integer)
Declare Function cLngMsgBox Lib "time2win.dll" (ByVal nLanguage As Integer, ByVal Message As String, ByVal Button As Long, ByVal Title As String) As Integer
Declare Sub cLngBoxMsg Lib "time2win.dll" Alias "cLngMsgBox" (ByVal nLanguage As Integer, ByVal Message As String, ByVal Button As Long, ByVal Title As String)
Declare Function cLngInpBox Lib "time2win.dll" (ByVal nLanguage As Integer, ByVal Message As String, ByVal Title As String, ByVal Default As String) As String
Declare Sub cLngSysMenu Lib "time2win.dll" (ByVal nLanguage As Integer, ByVal hWnd As Integer)
Declare Function cLockEventI Lib "time2win.dll" (Ctl As Control) As Integer
Declare Function cLrc Lib "time2win.dll" (Txt As String) As String
Declare Function cMakeDir Lib "time2win.dll" (ByVal lpFilename As String) As Integer
Declare Function cMakePath Lib "time2win.dll" (ByVal nDrive As String, ByVal nDir As String, ByVal nFilename As String, ByVal Ext As String) As String
Declare Function cMax Lib "time2win.dll" (Var1 As Variant, Var2 As Variant) As Variant
Declare Function cMaxD Lib "time2win.dll" (array() As Double) As Double
Declare Function cMaxI Lib "time2win.dll" (array() As Integer) As Integer
Declare Function cMaxL Lib "time2win.dll" (array() As Long) As Long
Declare Function cMaxS Lib "time2win.dll" (array() As Single) As Single
Declare Function cMeanD Lib "time2win.dll" (array() As Double) As Double
Declare Function cMeanI Lib "time2win.dll" (array() As Integer) As Double
Declare Function cMeanL Lib "time2win.dll" (array() As Long) As Double
Declare Function cMeanS Lib "time2win.dll" (array() As Single) As Double
Declare Function cMin Lib "time2win.dll" (Var1 As Variant, Var2 As Variant) As Variant
Declare Function cMinD Lib "time2win.dll" (array() As Double) As Double
Declare Function cMinI Lib "time2win.dll" (array() As Integer) As Integer
Declare Function cMinL Lib "time2win.dll" (array() As Long) As Long
Declare Function cMinS Lib "time2win.dll" (array() As Single) As Single
Declare Function cMixChars Lib "time2win.dll" (Txt As String) As String
Declare Function cMKB Lib "time2win.dll" (ByVal Value As Integer) As String
Declare Function cMKC Lib "time2win.dll" (ByVal Value As Currency) As String
Declare Function cMKD Lib "time2win.dll" (ByVal Value As Double) As String
Declare Function cMKI Lib "time2win.dll" (ByVal Value As Integer) As String
Declare Function cMKL Lib "time2win.dll" (ByVal Value As Long) As String
Declare Function cMKN Lib "time2win.dll" (ByVal Value As String) As String
Declare Function cMKS Lib "time2win.dll" (ByVal Value As Single) As String
Declare Function cModuleFind Lib "time2win.dll" (MODULEENTRY As Any, ByVal ModuleName As String) As Integer
Declare Function cModules Lib "time2win.dll" (MODULEENTRY As Any, ByVal firstnext As Integer) As Integer
Declare Function cMorse Lib "time2win.dll" (ByVal morse As String) As String
Declare Function cNexthWnd Lib "time2win.dll" (ByVal hWnd As Integer) As Integer
Declare Function cNumDigit Lib "time2win.dll" (Txt As String) As Integer
Declare Function cOneCharFromLeft Lib "time2win.dll" (Txt As String, ByVal Position As Integer) As String
Declare Function cOneCharFromRight Lib "time2win.dll" (Txt As String, ByVal Position As Integer) As String
Declare Function cPatternMatch Lib "time2win.dll" (ByVal Txt As String, ByVal pattern As String) As Integer
Declare Function cPatternExtMatch Lib "time2win.dll" (ByVal Txt As String, ByVal pattern As String) As Integer
Declare Sub cPutIni Lib "time2win.dll" (ByVal AppName As String, ByVal szItem As String, ByVal szDefault As String, ByVal InitFile As String)
Declare Function cReadBasisTimer Lib "time2win.dll" () As Long
Declare Function cReadCtlLanguage Lib "time2win.dll" (Ctl As Control, ByVal Property As Integer, ByVal FileLanguage As String) As Integer
Declare Function cReadTimer Lib "time2win.dll" (ByVal nTimer As Integer) As Long
Declare Function cRebootSystem Lib "time2win.dll" () As Integer
Declare Function cRemoveBlockChar Lib "time2win.dll" (Txt As String, ByVal Position As Integer, ByVal Length As Integer) As String
Declare Function cRemoveOneChar Lib "time2win.dll" (Txt As String, ByVal Position As Integer) As String
Declare Function cRenameFile Lib "time2win.dll" (ByVal lpFilename1 As String, ByVal lpFilename2 As String) As Integer
Declare Sub cResetCapture Lib "time2win.dll" ()
Declare Sub cResetFocus Lib "time2win.dll" (ByVal hWnd1 As Integer, ByVal hWnd2 As Integer)
Declare Function cResizeString Lib "time2win.dll" (Txt As String, ByVal newLength As Integer) As String
Declare Function cResizeStringAndFill Lib "time2win.dll" (Txt As String, ByVal newLength As Integer, Fill As String) As String
Declare Function cRestartWindows Lib "time2win.dll" () As Integer
Declare Function cReverse Lib "time2win.dll" (Txt As String) As String
Declare Sub cReverseAllBits Lib "time2win.dll" (Txt As String)
Declare Sub cReverseAllBitsByChar Lib "time2win.dll" (Txt As String)
Declare Function cReverseSortD Lib "time2win.dll" (array() As Double) As Integer
Declare Function cReverseSortI Lib "time2win.dll" (array() As Integer) As Integer
Declare Function cReverseSortL Lib "time2win.dll" (array() As Long) As Integer
Declare Function cReverseSortS Lib "time2win.dll" (array() As Single) As Integer
Declare Function cReverseSortStr Lib "time2win.dll" (Txt As String, ByVal nItem As Integer, ByVal ItemLength As Integer) As Integer
Declare Function cRomanToArabic Lib "time2win.dll" (Txt As String) As Variant
Declare Function cSaveCtlLanguage Lib "time2win.dll" (Ctl As Control, ByVal Property As Integer, ByVal FileLanguage As String) As Integer
Declare Function cScrollL Lib "time2win.dll" (Txt As String) As String
Declare Function cScrollR Lib "time2win.dll" (Txt As String) As String
Declare Sub cSetAllBits Lib "time2win.dll" (Txt As String, ByVal Value As Integer)
Declare Sub cSetBit Lib "time2win.dll" (Txt As String, ByVal Position As Integer, ByVal Value As Integer)
Declare Sub cSetBitToFalse Lib "time2win.dll" (Txt As String, ByVal Position As Integer)
Declare Sub cSetBitToTrue Lib "time2win.dll" (Txt As String, ByVal Position As Integer)
Declare Sub cSetCaption Lib "time2win.dll" (ByVal hWnd As Integer, ByVal text As String)
Declare Sub cSetCapture Lib "time2win.dll" (ByVal hWnd As Integer)
Declare Sub cSetCtlCaption Lib "time2win.dll" (Ctl As Control, ByVal text As String)
Declare Sub cSetCtlDataField Lib "time2win.dll" (Ctl As Control, ByVal text As String)
Declare Sub cSetCtlFocus Lib "time2win.dll" (Ctl As Control)
Declare Sub cSetCtlPropString Lib "time2win.dll" (Ctl As Control, ByVal PropIndex As Integer, ByVal text As String)
Declare Sub cSetCtlTag Lib "time2win.dll" (Ctl As Control, ByVal text As String)
Declare Sub cSetCtlText Lib "time2win.dll" (Ctl As Control, ByVal text As String)
Declare Function cSetD Lib "time2win.dll" (array() As Double, ByVal nValue As Double) As Integer
Declare Sub cSetDataField Lib "time2win.dll" (ByVal hWnd As Integer, ByVal text As String)
Declare Sub cSetDefaultSeparator Lib "time2win.dll" (Separator As String)
Declare Sub cSetFocus Lib "time2win.dll" (ByVal hWnd As Integer)
Declare Function cSetHandleCount Lib "time2win.dll" (ByVal nHandle As Integer) As Integer
Declare Function cSetI Lib "time2win.dll" (array() As Integer, ByVal nValue As Integer) As Integer
Declare Function cSetL Lib "time2win.dll" (array() As Long, ByVal nValue As Long) As Integer
Declare Sub cSetLocking Lib "time2win.dll" (ByVal nValue As Integer)
Declare Function cSetS Lib "time2win.dll" (array() As Single, ByVal nValue As Single) As Integer
Declare Sub cSetTag Lib "time2win.dll" (ByVal hWnd As Integer, ByVal text As String)
Declare Sub cSetText Lib "time2win.dll" (ByVal hWnd As Integer, ByVal text As String)
Declare Sub cSetWait Lib "time2win.dll" (ByVal nTimer As Integer, ByVal nValue As Long)
Declare Function cSleep Lib "time2win.dll" (ByVal Delay As Long) As Integer
Declare Function cSortD Lib "time2win.dll" (array() As Double) As Integer
Declare Function cSortI Lib "time2win.dll" (array() As Integer) As Integer
Declare Function cSortL Lib "time2win.dll" (array() As Long) As Integer
Declare Function cSortS Lib "time2win.dll" (array() As Single) As Integer
Declare Function cSortStr Lib "time2win.dll" (Txt As String, ByVal nItem As Integer, ByVal ItemLength As Integer) As Integer
Declare Function cSplitPath Lib "time2win.dll" (ByVal nFilename As String, SPLITPATH As Any) As Integer
Declare Sub cStartBasisTimer Lib "time2win.dll" ()
Declare Sub cStartTimer Lib "time2win.dll" (ByVal nTimer As Integer)
Declare Sub cStartWait Lib "time2win.dll" (ByVal nTimer As Integer)
Declare Sub cStopBasisTimer Lib "time2win.dll" ()
Declare Function cStopTimer Lib "time2win.dll" (ByVal nTimer As Integer) As Long
Declare Function cStringCRC32 Lib "time2win.dll" (Txt As String) As Long
Declare Sub cStringToType Lib "time2win.dll" Alias "cTypesCopy" (ByVal Src As String, TypeDst As Any, ByVal lenTypeSrc As Integer)
Declare Function cSubDirectory Lib "time2win.dll" (ByVal nFilename As String, ByVal firstnext As Integer) As String
Declare Function cSumD Lib "time2win.dll" (array() As Double) As Double
Declare Function cSumI Lib "time2win.dll" (array() As Integer) As Double
Declare Function cSumL Lib "time2win.dll" (array() As Long) As Double
Declare Function cSumS Lib "time2win.dll" (array() As Single) As Double
Declare Sub cSysMenuChange Lib "time2win.dll" (ByVal hWnd As Integer, ByVal Position As Integer, ByVal NewMessage As String)
Declare Sub cSwapD Lib "time2win.dll" (swap1 As Double, swap2 As Double)
Declare Sub cSwapI Lib "time2win.dll" (swap1 As Integer, swap2 As Integer)
Declare Sub cSwapL Lib "time2win.dll" (swap1 As Long, swap2 As Long)
Declare Sub cSwapS Lib "time2win.dll" (swap1 As Single, swap2 As Single)
Declare Sub cSwapStr Lib "time2win.dll" (swap1 As String, swap2 As String)
Declare Function cTaskFind Lib "time2win.dll" (TASKENTRY As Any, ByVal hTask As Integer) As Integer
Declare Function cTasks Lib "time2win.dll" (TASKENTRY As Any, ByVal firstnext As Integer) As Integer
Declare Function cTest Lib "time2win.dll" () As Long
Declare Function cTimeBetween Lib "time2win.dll" (ByVal Hr1 As Integer, ByVal Hr2 As Integer) As Integer
Declare Function cToBinary Lib "time2win.dll" (text As String) As String
Declare Function cToBinary2 Lib "time2win.dll" (text As String, Bin As String) As String
Declare Sub cToggleAllBits Lib "time2win.dll" (Txt As String)
Declare Sub cToggleBit Lib "time2win.dll" (Txt As String, ByVal Position As Integer)
Declare Function cToHexa Lib "time2win.dll" (text As String) As String
Declare Function cTrueBetween Lib "time2win.dll" (Var As Variant, Var1 As Variant, Var2 As Variant) As Integer
Declare Sub cTypeClear Lib "time2win.dll" (TypeSrc As Any, ByVal lenTypeSrc As Integer)
Declare Function cTypeMid Lib "time2win.dll" (TypeSrc As Any, ByVal Offset As Integer, ByVal Length As Integer) As String
Declare Function cTypesCompare Lib "time2win.dll" (Type1 As Any, Type2 As Any, ByVal lenType1 As Integer) As Integer
Declare Sub cTypesCopy Lib "time2win.dll" (TypeSrc As Any, TypeDst As Any, ByVal lenTypeSrc As Integer)
Declare Function cTypeTransfert Lib "time2win.dll" (TypeSrc As Any, ByVal lenTypeSrc As Integer) As String
Declare Sub cTypeToString Lib "time2win.dll" Alias "cTypesCopy" (TypeSrc As Any, ByVal Dst As String, ByVal lenTypeSrc As Integer)
Declare Function cUncompact Lib "time2win.dll" (Txt As String) As String
Declare Function cUniqueFileName Lib "time2win.dll" (Txt As String) As String
Declare Sub cUnloadDLL Lib "time2win.dll" (ByVal hMod As Integer)
Declare Sub cUnlockEventI Lib "time2win.dll" (Ctl As Control)
Declare Sub cPushID Lib "time2win.dll" (IDArray As Integer, ByVal nID As Integer)
Declare Sub cPopID Lib "time2win.dll" (IDArray As Integer, ByVal nID As Integer)
Declare Sub cPopLastID Lib "time2win.dll" (IDArray As Integer)
Declare Function cGetID Lib "time2win.dll" (IDArray As Integer, ByVal nPosition As Integer) As Integer
Declare Sub cClearID Lib "time2win.dll" (IDArray As Integer)

